# TiledMap.ObjectGroup (Slick - The 2D Library)
Date: 2013-06-03

## org.newdawn.slick.tiled
Class TiledMap.ObjectGroup

    java.lang.Object
      org.newdawn.slick.tiled.TiledMap.ObjectGroup

Enclosing class:
  TiledMap

    protected class TiledMap.ObjectGroup

extends java.lang.Object

A group of objects on the map (objects layer)

Author:
  kulpae

Field Summary
`int` `height` The height of this layer
`int` `index` The index of this group
`java.lang.String` `name` The name of this group - read from the XML
`java.util.ArrayList` `objects` The Objects of this group
`java.util.Properties` `props` the properties of this group
`int` `width` The width of this layer

Constructor Summary
`TiledMap.ObjectGroup(org.w3c.dom.Element element)` Create a new group based on the XML definition

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### index

    public int index

  The index of this group

### name

    public java.lang.String name

  The name of this group - read from the XML

### objects

    public java.util.ArrayList objects

  The Objects of this group

### width

    public int width

  The width of this layer

### height

    public int height

  The height of this layer

### props

    public java.util.Properties props

  the properties of this group

Constructor Detail

### TiledMap.ObjectGroup

    public TiledMap.ObjectGroup(org.w3c.dom.Element element)
                         throws SlickException

  Create a new group based on the XML definition

  Parameters:
    `element` - The XML element describing the layer
  Throws:
    `SlickException` - Indicates a failure to parse the XML group

Copyright © 2006 New Dawn Software. All Rights Reserved.